package com.unissoft.facilities.controller;


import com.unissoft.facilities.service.EquipFacilitiesChildService;
import com.unissoft.model.EquipFacilitiesChild;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * <p>
 * 设备检查记录子表 前端控制器
 * </p>
 *
 * @author root
 * @since 2021-01-25
 */
@RestController
@RequestMapping("/equipFacilitiesChild")
public class EquipFacilitiesChildController {
    @Resource
    private EquipFacilitiesChildService facilitiesChildService;

    @ApiOperation(value = "全部设施检查记录", notes = "查看")
    @GetMapping("/facilitiesChild/getByPId/{id}")
    public List<EquipFacilitiesChild> getByPId(@PathVariable("id") @NotNull Integer id) {
        return facilitiesChildService.facilitiesChildService(id);
    }

}
