package com.unissoft.facilities.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.unissoft.facilities.service.EquipFacilitiesChildService;
import com.unissoft.mapper.EquipFacilitiesChildMapper;
import com.unissoft.model.EquipFacilitiesChild;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * <p>
 * 设备检查记录子表 服务实现类
 * </p>
 *
 * @author root
 * @since 2021-01-25
 */
@Service
public class EquipFacilitiesChildServiceImpl extends ServiceImpl<EquipFacilitiesChildMapper, EquipFacilitiesChild> implements EquipFacilitiesChildService {
    @Resource
    private EquipFacilitiesChildMapper facilitiesChildMapper;

    @Override
    public List<EquipFacilitiesChild> facilitiesChildService(Integer id) {
        QueryWrapper<EquipFacilitiesChild> childQueryWrapper = new QueryWrapper<>();
        childQueryWrapper.eq("p_id", id);
        return facilitiesChildMapper.selectList(childQueryWrapper);
    }
}
