package com.unissoft.grainManage.controller;


import com.alibaba.fastjson.JSON;
import com.unissoft.model.GrainConditionRecordChild;
import com.unissoft.grainManage.service.GrainConditionRecordChildService;
import com.unissoft.result.ResultView;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

/**
 * <p>
 * 粮情检查记录子表 前端控制器
 * </p>
 *
 * @author root
 * @since 2021-02-05
 */
@Slf4j
@RestController
@RequestMapping("/grainRecordChild")
public class GrainConditionRecordChildController {
    @Resource
    private GrainConditionRecordChildService childService;

    @ApiOperation(value = "根据parentId查询", notes = "查看")
    @GetMapping("/authority/getById/{id}")
    public ResultView getById(@PathVariable("id") Integer id) {
        List<GrainConditionRecordChild> modelList = childService.getRecordById(id);
        return ResultView.success(modelList);
    }

}
