package com.unissoft.grainManage.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unissoft.model.GrainSecurityInspect;
import com.unissoft.model.SysUserPO;
import com.unissoft.result.PageParam;
import com.unissoft.vo.GrainSecurityInspectVO;

import java.util.List;

/**
 * <p>
 * 安全巡查 服务类
 * </p>
 *
 * @author root
 * @since 2021-01-18
 */
public interface GrainSecurityInspectService extends IService<GrainSecurityInspect> {

    List<GrainSecurityInspect> getEveryTypeNewData(Integer depotId);

    Page<GrainSecurityInspect> getAllPage(Integer depotId, PageParam pageParam);

    GrainSecurityInspectVO getDataById(int id);

    void deleteById(int id);

    void saveOrUpdateData(GrainSecurityInspectVO model, SysUserPO userPO);
}
