package com.unissoft.inspection.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unissoft.model.BranchDepotInspect;
import com.unissoft.model.SysUserPO;
import com.unissoft.result.PageParam;
import com.unissoft.vo.BranchDepotInspectVO;

/**
 * <p>
 * 分库检查 服务类
 * </p>
 *
 * @author root
 * @since 2021-01-27
 */
public interface BranchDepotInspectService extends IService<BranchDepotInspect> {

    Page<BranchDepotInspect> getAllPage(Integer depotId, PageParam pageParam);

    BranchDepotInspectVO getDataById(int id);

    void deleteById(int id);

    void saveOrUpdateData(BranchDepotInspectVO model, SysUserPO userPO);

}
