package com.unissoft.inspection.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unissoft.model.EntrustmentPointInspect;
import com.unissoft.model.SysUserPO;
import com.unissoft.result.PageParam;
import com.unissoft.vo.EntrustmentPointInspectVO;

import java.util.List;

/**
 * <p>
 * 租仓、委托点检查 服务类
 * </p>
 *
 * @author root
 * @since 2021-01-27
 */
public interface EntrustmentPointInspectService extends IService<EntrustmentPointInspect> {

    Page<EntrustmentPointInspect> getAllPage(Integer depotId, PageParam pageParam);

    EntrustmentPointInspectVO getDataById(int id);

    void deleteById(int id);

    void saveOrUpdateData(EntrustmentPointInspectVO model, SysUserPO userPO);
}
