package com.unissoft.inspection.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unissoft.model.LocalDepotInspect;
import com.unissoft.model.SysUserPO;
import com.unissoft.result.PageParam;
import com.unissoft.vo.LocalDepotInspectVO;

import java.util.List;

/**
 * <p>
 * 本库检查 服务类
 * </p>
 *
 * @author root
 * @since 2021-01-27
 */
public interface LocalDepotInspectService extends IService<LocalDepotInspect> {

    List<LocalDepotInspect> getEveryTypeNewData(Integer depotId);

    Page<LocalDepotInspect> getAllPage(Integer depotId, PageParam pageParam);

    LocalDepotInspectVO getDataById(int id);

    void deleteById(int id);

    void saveOrUpdateData(LocalDepotInspectVO model, SysUserPO userPO);
}
