package com.unissoft.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.unissoft.model.StatisticsWorkCompletion;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 工作完成情况统计表 Mapper 接口
 * </p>
 *
 * @author root
 * @since 2021-02-26
 */
public interface StatisticsWorkCompletionMapper extends BaseMapper<StatisticsWorkCompletion> {

    IPage<StatisticsWorkCompletion> getPage(IPage<StatisticsWorkCompletion> page, @Param("depots") List<Integer> depots, @Param("sTime") String sTime);

    IPage<StatisticsWorkCompletion> getGroupPage(IPage<StatisticsWorkCompletion> page, @Param("depots") List<Integer> depots, @Param("sTime") String sTime);

    List<StatisticsWorkCompletion> getGroupByDepotId(@Param("depots") List<Integer> depots, @Param("sTime") String sTime);
}
