package com.unissoft.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.unissoft.dto.ResourceRoleInfoDto;
import com.unissoft.model.SysResourceRole;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * <p>
 * 资源-角色-关系表 Mapper 接口
 * </p>
 *
 * @author wsm
 * @since 2020-11-25
 */
@Repository
public interface SysResourceRoleMapper extends BaseMapper<SysResourceRole> {

    /**
     * 查当前项目的资源角色信息
     *
     * @param projectCode
     * @return
     */
    List<ResourceRoleInfoDto> getResourceRoleInfo(@Param("projectCode") String projectCode);

}
