package com.unissoft.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.unissoft.model.SysUserActivity;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 用户活跃度统计表 Mapper 接口
 * </p>
 *
 * @author root
 * @since 2021-03-10
 */
public interface SysUserActivityMapper extends BaseMapper<SysUserActivity> {

    IPage<SysUserActivity> getPage(IPage<SysUserActivity> page, @Param("depots") List<Integer> depots, @Param("sTime") String sTime);

    IPage<SysUserActivity> getGroupPage(IPage<SysUserActivity> page, @Param("depots") List<Integer> depots, @Param("sTime") String sTime);

    List<SysUserActivity> getGroupByDepotId(@Param("depots") List<Integer> depots, @Param("sTime") String sTime);
}
