package com.unissoft.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.unissoft.model.WarehousingQuality;
import com.unissoft.model.WarehousingQualityPO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 入库质量表名称 Mapper 接口
 * </p>
 *
 * @author root
 * @since 2021-04-12
 */
public interface WarehousingQualityMapper extends BaseMapper<WarehousingQuality> {
    IPage<WarehousingQualityPO> getPage(IPage<WarehousingQualityPO> page, @Param("depotId") String depotId, @Param("warehouseId") String warehouseId, @Param("creationTimeStart") String creationTimeStart, @Param("creationTimeEnd") String creationTimeEnd);

    List<WarehousingQualityPO> getByIdQality(@Param("id") int id);
}
