package com.unissoft.model;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * @author qingsong.han
 * @description: 粮情异常首页eChars返回基类
 * @create 2021-02-26 15:58
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class GrainErrorEChars implements Serializable {
    private static final long serialVersionUID = -8644715628790677956L;

    @ApiModelProperty(value = "粮情异常数量")
    private Integer errorCount;

    @ApiModelProperty(value = "库id")
    private Integer depotId;

    @ApiModelProperty(value = "检查年份(用于粮情异常等,做年统计)")
    private Integer checkYear;

    @ApiModelProperty(value = "检查所在年第几周")
    private Integer checkYearWeek;

}
