package com.unissoft.model;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 
 * </p>
 *
 * @author My SunShine
 * @since 2020-12-17
 */
@TableName("process_basis_son")
@ApiModel(value="ProcessBasisSon对象", description="")
public class ProcessBasisSon implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "basis的id")
    @TableField("zid")
    private Integer zid;

    @ApiModelProperty(value = "审批人")
    @TableField("content")
    private Integer content;

    @ApiModelProperty(value = "库id")
    @TableField("depot_id")
    private Integer depotId;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }
    public Integer getZid() {
        return zid;
    }

    public void setZid(Integer zid) {
        this.zid = zid;
    }
    public Integer getContent() {
        return content;
    }

    public void setContent(Integer content) {
        this.content = content;
    }
    public Integer getDepotId() {
        return depotId;
    }

    public void setDepotId(Integer depotId) {
        this.depotId = depotId;
    }

    @Override
    public String toString() {
        return "ProcessBasisSon{" +
            "id=" + id +
            ", zid=" + zid +
            ", content=" + content +
            ", depotId=" + depotId +
        "}";
    }
}
