package com.unissoft.quantityQuality.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unissoft.model.QuantityQuality;
import com.unissoft.result.PageParam;

import java.util.List;

/**
 * <p>
 * 库存出库质量表 服务类
 * </p>
 *
 * @author root
 * @since 2021-01-26
 */
public interface QuantityQualityService extends IService<QuantityQuality> {

    Page<QuantityQuality> getPage(PageParam pageParam);

    List<QuantityQuality> groudByType(String depotId, String depotYpte);

    void saveRole(QuantityQuality model);

    void updateRole(QuantityQuality model);

    void deleteById(Integer id);

}
