package com.unissoft.quantityQuality.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unissoft.model.WarehousingQuality;
import com.unissoft.model.WarehousingQualityPO;
import com.unissoft.model.WarehousingQualityVO;
import com.unissoft.result.PageParam;

/**
 * <p>
 * 入库质量表名称 服务类
 * </p>
 *
 * @author root
 * @since 2021-04-12
 */
public interface WarehousingQualityService extends IService<WarehousingQuality> {

    IPage<WarehousingQualityPO> getPage(PageParam pageParam);

    WarehousingQualityPO getByIdQality(int id);

    void saveWarehousingQuality(WarehousingQualityVO model);

    void updateWarehousingQuality(WarehousingQualityVO model);

    void deleteById(int id);

}
