package com.unissoft.grainManage.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unissoft.model.GrainAdd;
import com.unissoft.model.GrainConditionRecord;
import com.unissoft.model.GrainError;
import com.unissoft.model.GrainErrorEChars;
import com.unissoft.result.PageParam;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author root
 * @since 2020-12-04
 */
public interface GrainConditionRecordService extends IService<GrainConditionRecord> {

    List<GrainConditionRecord>  getByRoleTime(GrainConditionRecord record);

    boolean saveGrainRecord(GrainAdd model);

    IPage<GrainConditionRecord> getPage(PageParam pageParam);

    boolean deleteById(Integer id);

    boolean updateGrainRecord(GrainAdd model);

    IPage<GrainError> getGrainErrorCount(PageParam pageParam);

    List<GrainErrorEChars> getGrainErrorEChars(Integer depotId);

    IPage<GrainError> getGrainErrorHouseList(PageParam pageParam);
}
