package com.unissoft.grainManage.service.impl;

import com.alibaba.fastjson.JSON;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.unissoft.model.GrainConditionRecordChild;
import com.unissoft.mapper.GrainConditionRecordChildMapper;
import com.unissoft.grainManage.service.GrainConditionRecordChildService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * <p>
 * 粮情检查记录子表 服务实现类
 * </p>
 *
 * @author root
 * @since 2021-02-05
 */
@Slf4j
@Service
public class GrainConditionRecordChildServiceImpl extends ServiceImpl<GrainConditionRecordChildMapper, GrainConditionRecordChild> implements GrainConditionRecordChildService {
    @Resource
    private GrainConditionRecordChildMapper childMapper;

    @Override
    public List<GrainConditionRecordChild> getRecordById(Integer id) {
        QueryWrapper<GrainConditionRecordChild> query = new QueryWrapper<>();
        query.eq("parent_id", id);
        return childMapper.selectList(query);
    }
}
