/*
package com.unissoft.grainManage.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.unissoft.MyConstant;
import com.unissoft.grainManage.service.GrainManageDictionaryService;
import com.unissoft.mapper.GrainManageDictionaryMapper;
import com.unissoft.model.GrainManageDictionary;
import com.unissoft.model.whether;
import com.unissoft.result.PageParam;
import org.json.JSONObject;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.util.StringUtils;

import java.util.List;

*/
/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author root
 * @since 2020-12-08
 *//*

@Service
public class GrainManageDictionaryServiceImpl extends ServiceImpl<GrainManageDictionaryMapper, GrainManageDictionary> implements GrainManageDictionaryService {

    @Autowired
    private GrainManageDictionaryMapper grainManageDictionaryMapper;

    @Override
    public Page<GrainManageDictionary> getPage(PageParam pageParam) {
        int pageIndex = pageParam.getPageIndex();
        int pageSize = pageParam.getPageSize();
        QueryWrapper<GrainManageDictionary> ew = new QueryWrapper<>();
        if (!StringUtils.isEmpty(pageParam.getCondition())) {
            JSONObject object = new JSONObject(pageParam.getCondition());
            String tableName = object.getString("table_name").trim();
            String fieldName = object.getString("field_name").trim();
            if (!StringUtils.isEmpty(tableName)) {
                ew.eq("table_name", tableName);
            }
            if (!StringUtils.isEmpty(fieldName)) {
                ew.eq("field_name", fieldName);
            }

        }
        ew.orderByAsc("orderby");

        Page page = new Page();
        if (pageIndex != MyConstant.ZERO && pageSize != MyConstant.ZERO) {
            page = new Page(pageIndex, pageSize);
        }
        Page<GrainManageDictionary> pageResult = grainManageDictionaryMapper.selectPage(page, ew);
        List<GrainManageDictionary> records = pageResult.getRecords();
        for(GrainManageDictionary grainManageDictionary : records){
            StringBuffer sbf = new StringBuffer();
            whether whether = new whether();
            whether.setRadio("");
            whether.setStatus1(grainManageDictionary.getStatus1());
            whether.setStatus2(grainManageDictionary.getStatus2());
            grainManageDictionary.setWhether(whether);

            sbf.append(grainManageDictionary.getStatus1()).append(",");
            sbf.append(grainManageDictionary.getStatus2());
            if(org.apache.commons.lang.StringUtils.isNotBlank(grainManageDictionary.getStatus3())){
                sbf.append(",").append(grainManageDictionary.getStatus3());
            }
            grainManageDictionary.setOptions(sbf.toString());
        }
        return pageResult;
    }

    @Override
    public void deleteById(Integer id) {
        grainManageDictionaryMapper.deleteById(id);
    }

}
*/
