package com.unissoft.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.unissoft.model.QuantityQuality;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import javax.annotation.Resource;
import java.util.List;

/**
 * <p>
 * 库存出库质量表 Mapper 接口
 * </p>
 *
 * @author root
 * @since 2021-01-26
 */
@Mapper
public interface QuantityQualityMapper extends BaseMapper<QuantityQuality> {
    List<QuantityQuality> groudByType(@Param("depotId") String depotId, @Param("depotType") String depotType);
}
