package com.unissoft.model;

import io.swagger.annotations.ApiModel;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.List;

/**
 * @author qingsong.han
 * @description: 包含子类基类
 * @create 2021-01-27 18:23
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="EquipFacilitiesBase对象", description="设备检查记录子表")
public class EquipFacilitiesBase implements Serializable {
    private static final long serialVersionUID = -7547846958500053383L;

    private EquipFacilities equipFacilities;
    private List<EquipFacilitiesChild> equipFacilitiesChildren;
}
