package com.unissoft.model;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 
 * </p>
 *
 * @author root
 * @since 2020-12-16
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("policy_system")
@ApiModel(value="PolicySystem对象", description="")
public class PolicySystem implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "id")
    @TableField("title")
    private String title;

    @ApiModelProperty(value = "id")
    @TableField("document")
    private String document;

    @ApiModelProperty(value = "id")
    @TableField("attachment_path")
    private String attachmentPath;

    @ApiModelProperty(value = "id")
    @TableField("send_out")
    private String sendOut;

    @ApiModelProperty(value = "id")
    @TableField("synchro_notice")
    private String synchroNotice;

    @ApiModelProperty(value = "id")
    @TableField("publisher")
    private String publisher;

    @ApiModelProperty(value = "id")
    @TableField("publisher_company")
    private String publisherCompany;

    @ApiModelProperty(value = "id")
    @TableField("create_time")
    private String createTime;



}
