package com.unissoft.model;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 
 * </p>
 *
 * @author My SunShine
 * @since 2020-12-17
 */
@TableName("process_basis")
@ApiModel(value="ProcessBasis对象", description="")
public class ProcessBasis implements Serializable {

    private static final long serialVersionUID = 1L;

    //业务字段
    @TableField(exist = false)
    private Integer content;
    @TableField(exist = false)
    private Integer zid;
    @TableField(exist = false)
    private Integer depotId;
    @TableField(exist = false)
    private Integer auditState;
    @TableField(exist = false)
    private String auditTime;
    
    
    
    
    public Integer getAuditState() {
		return auditState;
	}

	public void setAuditState(Integer auditState) {
		this.auditState = auditState;
	}

	public String getAuditTime() {
		return auditTime;
	}

	public void setAuditTime(String auditTime) {
		this.auditTime = auditTime;
	}

	public Integer getContent() {
		return content;
	}

	public void setContent(Integer content) {
		this.content = content;
	}

	public Integer getZid() {
		return zid;
	}

	public void setZid(Integer zid) {
		this.zid = zid;
	}

	public Integer getDepotId() {
		return depotId;
	}

	public void setDepotId(Integer depotId) {
		this.depotId = depotId;
	}
    
    @ApiModelProperty(value = "流程基础表")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

	@ApiModelProperty(value = "主流程的id")
    @TableField("main_id")
    private Integer mainId;

    @ApiModelProperty(value = "流程的类型")
    @TableField("type")
    private String type;

    @ApiModelProperty(value = "每一项流程的名称")
    @TableField("title")
    private String title;

    @ApiModelProperty(value = "执行顺序")
    @TableField("step")
    private String step;

    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private Date createTime;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }
    public Integer getMainId() {
        return mainId;
    }

    public void setMainId(Integer mainId) {
        this.mainId = mainId;
    }
    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }
    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }
    public String getStep() {
        return step;
    }

    public void setStep(String step) {
        this.step = step;
    }
    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    @Override
    public String toString() {
        return "ProcessBasis{" +
            "id=" + id +
            ", mainId=" + mainId +
            ", type=" + type +
            ", title=" + title +
            ", step=" + step +
            ", createTime=" + createTime +
        "}";
    }
}
