package com.unissoft.model;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 
 * </p>
 *
 * @author My SunShine
 * @since 2020-12-16
 */
@TableName("process_main")
@ApiModel(value="ProcessMain对象", description="")
public class ProcessMain implements Serializable {

    private static final long serialVersionUID = 1L;

    //业务数据
    @TableField(exist = false)
    private Integer isAudit;
    
    
    
    
    public Integer getIsAudit() {
		return isAudit;
	}

	public void setIsAudit(Integer isAudit) {
		this.isAudit = isAudit;
	}

	@ApiModelProperty(value = "主流程表")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "流程类型")
    @TableField("type")
    private String type;

    @ApiModelProperty(value = "流程名称")
    @TableField("title")
    private String title;

    @ApiModelProperty(value = "执行顺序")
    @TableField("step")
    private String step;

    @ApiModelProperty(value = "是否存在流程（0：存在，1：不存在）")
    @TableField("exist_process")
    private Integer existProcess;

    @ApiModelProperty(value = "下一步的id")
    @TableField("next_id")
    private String nextId;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }
    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }
    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }
    public String getStep() {
        return step;
    }

    public void setStep(String step) {
        this.step = step;
    }
    public Integer getExistProcess() {
        return existProcess;
    }

    public void setExistProcess(Integer existProcess) {
        this.existProcess = existProcess;
    }
    public String getNextId() {
        return nextId;
    }

    public void setNextId(String nextId) {
        this.nextId = nextId;
    }

    @Override
    public String toString() {
        return "ProcessMain{" +
            "id=" + id +
            ", type=" + type +
            ", title=" + title +
            ", step=" + step +
            ", existProcess=" + existProcess +
            ", nextId=" + nextId +
        "}";
    }
}
