package com.unissoft.policySystem.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.unissoft.model.EquipmentStroe;
import com.unissoft.model.PolicySystem;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unissoft.result.PageParam;
import org.springframework.web.multipart.MultipartFile;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author root
 * @since 2020-12-15
 */
public interface PolicySystemService extends IService<PolicySystem> {
    Page<PolicySystem> getPage(PageParam pageParam);

    void deleteById(Integer id);


    void savePolicySystem(PolicySystem model);

    String savePolicySystemAttachment(MultipartFile file,Integer id) throws Exception;
}
