package com.unissoft.serverRefresh;

import com.unissoft.config.MySecurityMetadataSource;
import com.unissoft.result.ResultView;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 文件描述
 *
 * @author tongxi.xia
 * @date 2020年12月24日 15:51
 */
@Api(description = "服务刷新控制器")
@RestController
@RequestMapping("/public")
public class ServerRefresh {

    @Autowired
    private MySecurityMetadataSource mySecurityMetadataSource;

    @ApiOperation(value = "根据地址刷新各服务权限")
    @GetMapping("/loadResourceDefine")
    public ResultView loadResourceDefine() {
        mySecurityMetadataSource.loadResourceDefine();
        return ResultView.success();
    }
}
