package com.unissoft.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.unissoft.dto.ResourceRoleInfoDto;
import com.unissoft.mapper.SysResourceRoleMapper;
import com.unissoft.model.SysResourceRole;
import com.unissoft.service.SysResourceRoleService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 资源-角色-关系表 服务实现类
 * </p>
 *
 * @author wsm
 * @since 2020-11-25
 */
@Service
public class SysResourceRoleServiceI extends ServiceImpl<SysResourceRoleMapper, SysResourceRole> implements SysResourceRoleService {
    @Autowired
    private SysResourceRoleMapper resourceRoleMapper;

    @Override
    public List<ResourceRoleInfoDto> getResourceRoleInfo(String projectCode) {
        return resourceRoleMapper.getResourceRoleInfo(projectCode);
    }

}
