package com.unissoft.ventilation.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unissoft.model.StatisticsWorkCompletion;
import com.unissoft.result.PageParam;

import java.text.ParseException;
import java.util.Map;

/**
 * <p>
 * 工作完成情况统计表 服务类
 * </p>
 *
 * @author root
 * @since 2021-02-26
 */
public interface StatisticsWorkCompletionService extends IService<StatisticsWorkCompletion> {
    IPage<StatisticsWorkCompletion> getByPage(PageParam pageParam);

    Map<String, Object> getGroupByDepotId(Integer depotId, Integer homeType);
}
