package com.unissoft.vo;


import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * 流程待办VO
 *
 * @author YangZR
 * @date 2020年12月28日 15:34
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class ProcessToBeDoneVO{

    private Integer id;

    private String title;//：流程名称，如 科长每2周粮情检查

    private Integer houseId;//仓号

    private Integer depotId;//公司

    private Date startDate;//办理开始时间

    private Date endDate;//办理结束时间

    private String toPage;//办理页面url

    private Integer userId;//待办人员ID

    private String type;//流程类型
    
}
